{% load static %} {% load markdownify %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Details</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}" />
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>{{ project.name }}</h1>
                {{ project.description|markdownify }}
                <h2>Tasks</h2>
                <p><a href="{% url 'create_task' %}">Create a new task</a></p>
                {% if project.tasks.all %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Assignee</th>
                                <th>Start date</th>
                                <th>Due date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for info in project.tasks.all %}
                                <tr>
                                    <td>{{ info.name }}</td>
                                    <td>{{ info.assignee }}</td>
                                    <td>{{ info.start_date }}</td>
                                    <td>{{ info.due_date }}</td>
                                    {% if info.is_completed %}
                                        <td>Yes</td>
                                    {% else %}
                                        <td>No</td>
                                    {% endif %}
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <p>This project has no tasks</p>
                {% endif %}
            </div>
        </main>
        <footer></footer>
    </body>
</html>
